#ifndef	_RX_H
	#define _RX_H

	extern void Init_RX(void);
	extern void Write_RX_28k_RegVal(void);
	extern void RX_I2C_Write(uchar reg,uchar *pBuf);
	extern void RX_I2C_Read(uchar reg,uchar *pBuf);
	extern void RX_Trigger(void);
	extern void RX_Cali_Clk(void);
	extern void Write_RX_U_Band_RegVal(void);
	extern void RX_Reset_Chip(void);
	extern void RX_Prevent_RF_UnLock(void);
	extern void RX_PreventBoom(void);
	extern void RX_Force_PhaseUnlock(void);


	extern void RX_GPIO4_IO_High(void);
	extern void RX_GPIO4_IO_Low(void);
	extern void RX_GPIO4_2nd_Function(void);
	extern void RX_Audio_Output_Enable(void);
	extern void RX_Audio_Output_Disable(void);
	extern uchar Read_RX_PhaseLock_Status(void);
	extern uint Read_RX_Audio_RSSI(void);
	extern uchar Read_RX_UserData(void);
	extern void Write_RX_ID(uchar id_dat);
	extern void RX_Frequency_Tracking(void);
	extern void Set_RX_Volume(uchar volume_temp);
	extern void RX_Test_Mode(uchar flag_test);
	

	extern uchar reg_val[4];           //Temporatory register values
	extern uchar CtuneBuf[4];
	extern uchar AfcCnt;

#endif








