#include "REG_MA86L104.H"
#include "TYPE.h"
#include "IO.H"
#include "delay.h"


bit	ack;
#define i2c_delay 0

/***************************************************
	I2C
***************************************************/
void Start_I2C(void)
{
	SCK = 1;
	Delayus(i2c_delay);
	SDA = 1;
	Delayus(i2c_delay);
	SDA = 0;
	Delayus(i2c_delay);
	SCK = 0;
	Delayus(i2c_delay);			
}
/***************************************************
	I2C
***************************************************/
void Stop_I2C(void)
{
	SDA = 0;
	Delayus(i2c_delay);
	SCK = 1;
	Delayus(i2c_delay);
	SDA = 1;
	Delayus(i2c_delay);	
}
/***************************************************
	һֽ
***************************************************/
void SendByte(uchar dat)
{
	uchar i;

	for(i=0;i<8;i++)
	{
		if((dat << i) & 0x80) SDA = 1;
		else SDA = 0;
		Delayus(i2c_delay);
		SCK = 1;
		Delayus(i2c_delay);
		SCK = 0;
		//Delayus(i2c_delay);
	}
	SDA = 1;
	Delayus(i2c_delay);
	SCK = 1;
	Delayus(i2c_delay);
	if(SDA == 1) ack = 0;
	else ack = 1;
	SCK = 0;
	Delayus(i2c_delay);
}
/***************************************************
	һֽ
***************************************************/
uchar RcvByte(void)
{
	uchar dat = 0;
	uchar i;

	SDA = 1;
	for(i=0;i<8;i++)
	{
		SCK = 0;
		Delayus(i2c_delay);
		Delayus(i2c_delay);
		SCK = 1;
		Delayus(i2c_delay);
		dat = dat<<1;
		if(SDA == 1) dat = dat|0x01;
	}
	SCK = 0;
	Delayus(i2c_delay);
	return dat;	
}
/***************************************************
	Ӧ
***************************************************/
void I2C_Ack(void)
{
	SDA =0;
	Delayus(i2c_delay);
	SCK = 1;
	Delayus(i2c_delay);
	SCK = 0;
	Delayus(i2c_delay);
}
/***************************************************
	Ӧ
***************************************************/
void I2C_Non_Ack(void)
{
	SDA = 1;
	Delayus(i2c_delay);
	SCK = 1;
	Delayus(i2c_delay);
	SCK = 0;
	Delayus(i2c_delay);
}


