#include "REG_MA86L104.H"
#include "TYPE.h"
#include "Main.H"
#include "IO.H"
#include "rx.h"
#include "delay.h"
#include "define.h"

/***************************************************
	
***************************************************/
void page_p_sfr_write (void);
void page_p_sfr_read (void);
void MCU_Init(void);
void Frequency_Tracking(void);
void main(void);

/***************************************************
	ڲ
***************************************************/
bit flag_1s;
bit flag_50ms;
bit flag_10ms;

uchar cnt_1s;
uchar cnt_50ms;

/**********************************
 *	MCU Page p sfr write
**********************************/
/*
void page_p_sfr_write (void)
{  
    IFADRH = 0x00;
    ISPCR = 0x80;                        // Enable Function
    IFMT = 0x04;                   		  // PageP_Write=0x04
    SCMD = 0x46;                             
    SCMD = 0xB9;                             
    IFMT = 0x00;                 		  // Flash_Standby=0x00
    ISPCR &= ~0x80;
}
*/
/**********************************
 *	MCU Page p sfr read
**********************************/
/*
void page_p_sfr_read (void)
{
    IFADRH = 0x00;
    ISPCR = 0x80;                        // Enable Function
    IFMT = 0x05;                    	  // PageP_Read=0x05
    SCMD = 0x46;                             
    SCMD = 0xB9;                             
    IFMT = 0x00;                 		  // Flash_Standby=0x00
    ISPCR &= ~0x80;
}
*
/**************************************************************************************
	MCUʼ
***************************************************************************************/
void MCU_Init(void)
{
	/*
	//ѡRSTΪP3.6
	IFADRL = 0x4C;
	page_p_sfr_read();	
	IFD &= ~0x02;
	page_p_sfr_write();	   
	*/
	
	//ʱ
	//CKCON0 = B0000_0001;	 //ѡIHRCO24MHZĬ2ƵƵΪ12MHZ	

	//˿1ģʽ 0  ©·1  
	P1M0 = B1100_1111;
	//˿1Ĵ
	P1 = B0111_0000;

	//˿3ģʽ
	//P3M0.y P3M1.y 00  ׼˫0110(迹)11©· 
	P3M0 = B0000_0000;
	P3M1 = B1111_1101;
	//˿3Ĵ
	P3 = B0100_0010;

	//˿4ģʽ 0  ©·1  
	P4M0 = B1111_1111;
	//˿4Ĵ
	P4 = B0000_0000;

	//Pull-Up Control Register
	//Bit7λPUCON0дʱλд0
	//Bit6˿44λ(P4.0\P4.1)ʹܿ 0ֹ 1ʹ
	//Bit5λ
	//Bit4λ
	//Bit3˿14λ(P1.7~P1.4)ʹܿ
	//Bit2˿14λ(P1.3~P1.0)ʹܿ
	//Bit1~0λPUCON0дʱλд0
	PUCON0 = B0000_1000;

	//TMODʱ/ģʽƼĴ
	TMOD = 0x01;						//ʱ016λʱ/

	//ʱ0װֵ
	TH0 = (65536 - 10000)/256;
	TL0 = (65536 - 10000)%256;			//ʱ50ms
	//жʱ0
	//TR0 = 1;
	//ʱ0жλ
	ET0 = 1;
	//ʱ1װֵ
	//TH1 = (65536 - 50000)/256;
	//TL1 = (65536 - 50000)%256;		//ʱ10ms
	//жʱ1
	//TR1 = 1;	
	//ʱ1жλ
	//ET1 = 1;

	//ж
	EA = 1;	
}
/**************************************************************************************
	
***************************************************************************************/
void main(void)
{

	MCU_Init();	
	DelayMs(20);				
	CE = 1;
	DelayMs(100);							
	Init_RX();							//CEʹܺʱһʱ䣬ٳʼRX
	TR0 = 1;							//жʱ0
	while(1)
	{	
		if(flag_10ms)
		{
			flag_10ms = 0;

			
		}

		if(flag_50ms)					//ʮ򼸰msִм
		{
			flag_50ms = 0;
			RX_Prevent_RF_UnLock();		//RFʧ
			RX_PreventBoom();			//ѯʱ価죬ѭִУ50msִһ
		}

		
		if(flag_1s)						//750msִмɣҪ1s
		{
			flag_1s = 0;
			RX_Frequency_Tracking();		//Ƶʸ
		}		
	}
}














